import roombacomm.processing.*;

// set this to whatever your Roomba is connected to
String portname = "/dev/cu.KeySerial1";

RoombaComm roombacomm = new RoombaCommSerial();

String portlist[] = roombacomm.listPorts();
println("Available ports:");
for( int i=0; i<portlist.length; i++ )
  println("  "+i+": "+portlist[i]);

if( ! roombacomm.connect( portname ) ) {
  println("Couldn't connect to "+portname);
}
else {
  println("Roomba startup");
  roombacomm.startup();
    
  println("Checking for Roomba... ");
  if( roombacomm.updateSensors() ) {
    println("Roomba found!");
  } else {
    println("No Roomba. :(  Is it turned on?");
  }

  println("Playing some notes");
  roombacomm.playNote( 72, 10 );
  roombacomm.pause( 200 );
  
  roombacomm.playNote( 79, 10 );
  roombacomm.pause( 200 );
  
  roombacomm.playNote( 76, 10 );
  roombacomm.pause( 200 );
  
  println("Powering off in 1 second.");
  roombacomm.pause( 1000 );
  roombacomm.powerOff();
}




